/*
** iplog_pcap.h - iplog pcap management data.
** Copyright (C) 1999-2000 Ryan McCabe <odin@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
**
** $Id: iplog_pcap.h,v 1.9 2000/02/13 02:50:09 odin Exp $
*/

#ifndef __IPLOG_PCAP_H
#define __IPLOG_PCAP_H

#include <net/if.h>

#ifdef __linux__
#	include <linux/if_ether.h>
#else
#	include <netinet/if_ether.h>
#	define ethhdr	ether_header
#endif /* ! linux */

#ifndef DLT_ATM_RFC1483
#	define DLT_ATM_RFC1483	100
#endif

#ifndef DLT_RAW
#	define DLT_RAW			101
#endif

#ifndef DLT_SLIP_BSDOS
#	define DLT_SLIP_BSDOS	102
#endif

#ifndef DLT_PPP_BSDOS
#	define DLT_PPP_BSDOS	103
#endif

#define IS_LOOPBACK(x) \
	(!strncasecmp(x, "lo", 2) && ((x)[2] == '\0' || isdigit((x)[2])))

#define MAX_ADDR	32

struct pcap_data {
	struct pcap_data *next;
	u_char name[32];
	u_long addr[MAX_ADDR];
	u_int n_addr;
	pcap_t *pd;
	int dl;
};

int setup_pcap(struct pcap_data **plist, const u_char *ifstring);
int open_pcap_device(struct pcap_data *pdata);
bool interface_is_up(const u_char *name);

#endif /* __IPLOG_PCAP_H */

/* vim:ts=4:sw=8:tw=0 */
